<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Interface org.apache.commons.dbcp2.ConnectionFactory (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.commons.dbcp2.ConnectionFactory (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/ConnectionFactory.html" target="_top">Frames</a></li>
<li><a href="ConnectionFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.commons.dbcp2.ConnectionFactory" class="title">Uses of Interface<br>org.apache.commons.dbcp2.ConnectionFactory</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2">org.apache.commons.dbcp2</a></td>
<td class="colLast">
<div class="block">
 Database Connection Pool API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2.managed">org.apache.commons.dbcp2.managed</a></td>
<td class="colLast">
<div class="block">
 This package provides support for pooling of ManagedConnections.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a> in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> that implement <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DataSourceConnectionFactory.html" title="class in org.apache.commons.dbcp2">DataSourceConnectionFactory</a></span></code>
<div class="block">A <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql"><code>DataSource</code></a>-based implementation of <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2"><code>ConnectionFactory</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DriverConnectionFactory.html" title="class in org.apache.commons.dbcp2">DriverConnectionFactory</a></span></code>
<div class="block">A <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql"><code>Driver</code></a>-based implementation of <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2"><code>ConnectionFactory</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DriverManagerConnectionFactory.html" title="class in org.apache.commons.dbcp2">DriverManagerConnectionFactory</a></span></code>
<div class="block">A <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DriverManager.html?is-external=true" title="class or interface in java.sql"><code>DriverManager</code></a>-based implementation of <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2"><code>ConnectionFactory</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> that return <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicDataSource.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createConnectionFactory--">createConnectionFactory</a></span>()</code>
<div class="block">Creates a JDBC connection factory for this data source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">PoolableConnectionFactory.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#getConnectionFactory--">getConnectionFactory</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> with parameters of type <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html" title="class in org.apache.commons.dbcp2">PoolableConnectionFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicDataSource.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#createPoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-">createPoolableConnectionFactory</a></span>(<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;driverConnectionFactory)</code>
<div class="block">Creates the PoolableConnectionFactory and attaches it to the connection pool.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> with parameters of type <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html#PoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-javax.management.ObjectName-">PoolableConnectionFactory</a></span>(<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connFactory,
                         <a href="https://docs.oracle.com/javase/8/docs/api/javax/management/ObjectName.html?is-external=true" title="class or interface in javax.management">ObjectName</a>&nbsp;dataSourceJmxObjectName)</code>
<div class="block">Creates a new <code>PoolableConnectionFactory</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2.managed">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a> in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a> in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a></span></code>
<div class="block">XAConnectionFactory is an extension of ConnectionFactory used to create connections in a transaction managed
 environment.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a> that implement <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed">DataSourceXAConnectionFactory</a></span></code>
<div class="block">An implementation of XAConnectionFactory which uses a real XADataSource to obtain connections and XAResources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed">LocalXAConnectionFactory</a></span></code>
<div class="block">An implementation of XAConnectionFactory which manages non-XA connections in XA transactions.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a> that return <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicManagedDataSource.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#createConnectionFactory--">createConnectionFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">LocalXAConnectionFactory.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#getConnectionFactory--">getConnectionFactory</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a> with parameters of type <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html" title="class in org.apache.commons.dbcp2">PoolableConnectionFactory</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicManagedDataSource.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#createPoolableConnectionFactory-org.apache.commons.dbcp2.ConnectionFactory-">createPoolableConnectionFactory</a></span>(<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;driverConnectionFactory)</code>
<div class="block">Creates the PoolableConnectionFactory and attaches it to the connection pool.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a> with parameters of type <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#LocalXAConnectionFactory-javax.transaction.TransactionManager-org.apache.commons.dbcp2.ConnectionFactory-">LocalXAConnectionFactory</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager,
                        <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connectionFactory)</code>
<div class="block">Creates an LocalXAConnectionFactory which uses the specified connection factory to create database connections.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#LocalXAConnectionFactory-javax.transaction.TransactionManager-javax.transaction.TransactionSynchronizationRegistry-org.apache.commons.dbcp2.ConnectionFactory-">LocalXAConnectionFactory</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager,
                        <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a>&nbsp;transactionSynchronizationRegistry,
                        <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connectionFactory)</code>
<div class="block">Creates an LocalXAConnectionFactory which uses the specified connection factory to create database connections.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/ConnectionFactory.html" target="_top">Frames</a></li>
<li><a href="ConnectionFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
